ChannelRegistration
Registration state and credential count for one notification channel.
Usage profiles
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
channel | string (CHANNEL_PUSH, CHANNEL_IN_APP, CHANNEL_EMAIL, CHANNEL_SMS, CHANNEL_CHAT) or integer (int32) | Optional | Notification channel represented by this registration. |
registered | boolean | Optional | Whether the subscriber has a registration for this channel. |
credentialCount | integer (int32) | Optional | Number of delivery credentials registered for the channel. Minimum: -2147483648. Maximum: 2147483647. |
Values of channel
Delivery channel requested or reported for a notification.
| Value | No. | Form | Meaning |
|---|---|---|---|
CHANNEL_PUSH | 1 | Canonical | Deliver a device push notification through the configured push provider. |
CHANNEL_IN_APP | 2 | Canonical | Deliver the notification to the in-app inbox. |
CHANNEL_EMAIL | 3 | Canonical | Send a one-way email notification through the configured email provider. |
CHANNEL_SMS | 4 | Canonical | Send a one-way SMS notification, such as an alert or authentication message. |
CHANNEL_CHAT | 5 | Canonical | Send a one-way message to an integrated chat destination. |
Where used
| Reference | Relationship |
|---|---|
| Get registered notification channels | POST /api/v1/notifications/get-registered-channels |
| Get the caller's subscriber profile | POST /api/v1/notifications/manage/get-subscriber |
Download the public reference contract.
Document: DOC-API-MODEL-channel-registration.